Bug 192313 - Review Request: koan
Review Request: koan
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Lutterkort
Fedora Package Reviews List
:
Depends On: 192311
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-05-18 17:11 EDT by Michael DeHaan
Modified: 2013-04-30 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-28 09:59:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael DeHaan 2006-05-18 17:11:29 EDT
Spec URL: http://michaeldehaan.net/software/RPMS/koan.spec
SRPM URL: http://michaeldehaan.net/software/RPMS/koan-0.1.0-1.src.rpm

Description: 

Cobbler is a command line tool for simplified configuration of a provisioning server. It supports provisioning via PXE, Xen, and re-provisioning an existing Linux system via a method called "auto-kickstarting", made popular by Red Hat Network. The last two modes require usage of a program called "koan" on the remote system.

Koan stands for "kickstart-over-a-network" and allows for both network provisioning of new Xen guests and auto-kickstarting. It interacts with a centralized boot server that has been configured with cobbler.

Documentation for each is contained in the manpages for the respective programs (for now). Both applications are written in Python and are released under the GPL.
Comment 1 Jonathan Underwood 2006-05-29 14:13:38 EDT
A couple of quick comments:

1) The three macros at the top of the file are totally redundant.
2) Remove Vendor tag.
3) Relaease should contain the dist tag
4) The Prefix tag seems redundant ( I may be missing something there tho).
5) the install section should begin with rm -rf $RPM_BUILD_ROOT
Comment 2 Michael DeHaan 2006-06-28 18:06:05 EDT
All rpmlint errors have been fixed and the packages have been updated at the
above URLs.  Please let me know if there's anything else that needs to be fixed.

===

The three macros at the top of the file are totally redundant.
* Don't see this being a problem.  Correct me if it breaks something.

2) Remove Vendor tag.
* Fixed

3) Relaease should contain the dist tag
* Fixed, per instructions on http://fedoraproject.org/wiki/DistTag ... please
verify I got this right, though.  As I understand it, my RPM's won't show any
dist in the name until the build system tries to build them.

4) The Prefix tag seems redundant ( I may be missing something there tho).
* Fixed (Removed)

5) the install section should begin with rm -rf $RPM_BUILD_ROOT
* Fixed

Comment 3 Michael DeHaan 2006-06-28 18:09:15 EDT
FYI ... This should have been in the original submission

Cobbler (alluded to in the submission) has it's bugzilla here:

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=192311
Comment 4 Michael DeHaan 2006-07-10 18:45:21 EDT
Updated.
- added doc URL
- added directories
- removed redundant macros
- bumped release

New RPM:  
http://et.redhat.com/~mdehaan/software/koan/koan-0.1.0-2.src.rpm

New spec file:  
http://et.redhat.com/~mdehaan/software/koan/koan.spec

Documentation URL as listed in spec:
http://et.redhat.com/page/Cobbler_%26_Koan_Provisioning_Tools
(largely a manpage copy for now)

Comment 5 Jonathan Underwood 2006-07-10 20:43:33 EDT
Those pages are 404'ing for me...
Comment 6 Michael DeHaan 2006-07-11 10:30:36 EDT
Thanks for the heads up.  These are the correct links:

http://et.redhat.com/~mdehaan/software/cobbler/koan-0.1.0-2.src.rpm
http://et.redhat.com/~mdehaan/software/cobbler/koan.spec
Comment 7 Michael DeHaan 2006-07-13 15:50:34 EDT
Koan has been updated to take advantage of cobbler's new templating features. 

http://et.redhat.com/~mdehaan/software/cobbler/koan-0.1.1-3.noarch.rpm
http://et.redhat.com/~mdehaan/software/cobbler/koan.spec
Comment 8 Michael DeHaan 2006-07-20 16:54:43 EDT
Fixing a yaml import bug also present in cobbler:

http://et.redhat.com/~mdehaan/software/cobbler/koan-0.1.1-4.src.rpm
http://et.redhat.com/~mdehaan/software/cobbler/koan.spec

Comment 9 Michael DeHaan 2006-08-16 17:34:18 EDT
Updating koan to match comments made on the cobbler submission (setup not quiet,
odd permission on spec file)

http://et.redhat.com/~mdehaan/software/cobbler/koan-0.1.1-5.src.rpm
http://et.redhat.com/~mdehaan/software/cobbler/koan-0.1.1-5.noarch.rpm
http://et.redhat.com/~mdehaan/software/cobbler/koan.spec

rpmlint is clean on both rpms.

Comment 10 Michael DeHaan 2006-08-30 12:56:04 EDT
Cobbler ( https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=192311 ) was just
approved (thanks jpmahowald) here, so this submission is no longer blocked
waiting on cobbler approval.

Seeing this programs are paired (client & server RPM's, essentially) it would be
great if I could submit them both to FC-E at the same time.
Comment 11 David Lutterkort 2006-09-15 11:14:24 EDT
Two small comments:

* Don't define the %name macro manually, setting 'Name:' will do that for you
* The way you define INSTALLED_FILES leads to
/usr/lib/python2.4/site-packages/koan/ and subdirs to not be owned by koan and
sticking around after an uninstall. The %files section should read something like
  %files
  %defattr(-,root,root)
  %{_bindir}/koan
  /usr/lib/python?.?/site-packages/koan
  %{_mandir}/man1/koan.1.gz

* Just as a suggestion that won't block this package: since you are upstream for
this, you should include a copy of the GPL in COPYING, and %doc it in the specfile
Comment 12 Michael DeHaan 2006-09-20 14:40:15 EDT
Newness:

Source code of released builds is now available in Mercurial:

http://hg.et.redhat.com/hg/emd/applications/koan

New home for files:

http://et.redhat.com/~mdehaan/software/repo/

Accessible via yum:

http://et.redhat.com/~mdehaan/software/mdehaan.repo

All of this info is updated on the Wiki page:

http://et.redhat.com/page/Cobbler_%26_Koan_Provisioning_Tools
Comment 13 Michael DeHaan 2006-09-20 14:41:29 EDT
In addition, the issues brought up by David L. above have been resolved.

- %name macro removed
- files section updated per packaging guidelines
- COPYING file added
Comment 14 David Lutterkort 2006-09-21 05:49:30 EDT
Looks good; some more comments which won't hold up the review:
- Include COPYING (and README. maybe AUTHORS) in the rpm with '%doc COPYING README'
- The description has a small type (s/Koan standards/Koan stands/)
- Remove the INSTALLED_FILES business from %install, since it's not used anymore

I'll approve this as soon as you've been sponsored.
Comment 15 Michael DeHaan 2006-09-21 10:08:10 EDT
Thanks:

- %doc section fixed
- typo fixed
- INSTALLED_FILES fixed

I've made the same fixes to cobbler.
Comment 16 Kevin Fenzi 2006-12-21 22:45:04 EST
David: 

It doesn't look like this was ever changed to block FE-ACCEPT instead of FE-REVIEW. 

Could you please do so if you really approved this package? 
It helps with tracking to make sure all packages have been approved... 
Comment 17 David Lutterkort 2006-12-22 11:57:52 EST
Oops .. sorry; totally slipped through teh cracks. I did ACCEPT the package;
changed blocker to FE-ACCEPT now

Note You need to log in before you can comment on or make changes to this bug.